Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegist.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegist.cs	(revision 57)
@@ -35,8 +35,15 @@
         #endregion
 
         #region 定数
-        // 最大文字数
+        #region 自プロセス名称
         /// <summary>
+        /// 自プロセス名称
+        /// </summary>
+        private const string s_MyProcessName = "発注者登録承認";
+        #endregion
+
+        #region 最大文字数
+        /// <summary>
         /// 発注者名
         /// </summary>
         private const int s_CostomerNameLength = 60;
@@ -48,7 +55,9 @@
         /// 備考
         /// </summary>
         private const int s_NoteLength = 300;
+        #endregion
 
+        #region 表示順番
         /// <summary>
         /// 表示順番
         /// </summary>
@@ -58,7 +67,7 @@
             PersonCode,
             PersonName,
             DepartmentName,
-            PetitionDate,
+            CreateDate,
             OrdersDivision,
             CorporateStatusName,
             OrdersName1,
@@ -78,8 +87,10 @@
             ChargePersonName,
             ChargeDepartmentName,
             OrderNo,
+            OrderDate,
         }
         #endregion
+        #endregion
 
         #region 変数
         /// <summary>
@@ -93,13 +104,21 @@
         private Control[] m_dispControl;
 
         /// <summary>
+        /// 申請者番号
+        /// </summary>
+        private int m_PersonCode = 0;
+        /// <summary>
         /// 申請年月
         /// </summary>
-        private int m_PetitionNo = 0;
+        private DateTime m_OrderDate = DateTime.MinValue;
         /// <summary>
-        /// 申請番号
+        /// 申請連番
         /// </summary>
-        private int m_PetitionSeqNo = 0;
+        private int m_OrderNo = 0;
+        /// <summary>
+        /// 申請年度
+        /// </summary>
+        private int m_BusinessPeriod = 0;
 
         /// <summary>
         /// 新規データ作成フラグ
@@ -115,25 +134,46 @@
         /// 参照フラグ
         /// </summary>
         private bool m_EditLock = false;
+
+        /// <summary>
+        /// 親フォーム終了
+        /// </summary>
+        private bool m_ParentEnd = false;
         #endregion
 
         #region プロパティ
         /// <summary>
+        /// 申請者番号
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+        /// <summary>
         /// 申請年月
         /// </summary>
-        public int PetitionNo
+        public DateTime CreateDate
         {
-            get { return m_PetitionNo; }
-            set { m_PetitionNo = value; }
+            get { return m_OrderDate; }
+            set { m_OrderDate = value; }
         }
         /// <summary>
-        /// 申請番号
+        /// 申請連番
         /// </summary>
-        public int PetitionSeqNo
+        public int SeqNo 
         {
-            get { return m_PetitionSeqNo; }
-            set { m_PetitionSeqNo = value; }
+            get { return m_OrderNo; }
+            set { m_OrderNo = value; }
         }
+        /// <summary>
+        /// 申請年度
+        /// </summary>
+        public int BusinessPeriod
+        {
+            get { return m_BusinessPeriod; }
+            set { m_BusinessPeriod = value; }
+        }
 
         /// <summary>
         /// 新規データ作成フラグ
@@ -152,6 +192,15 @@
             get { return m_EditLock; }
             set { m_EditLock = value; }
         }
+
+        /// <summary>
+        /// 親フォーム終了
+        /// </summary>
+        public bool ParentEnd
+        {
+            get { return m_ParentEnd; }
+            set { m_ParentEnd=value;}
+        }
         #endregion
 
         #region コンストラクタ
@@ -237,6 +286,9 @@
             // 更新データ表示処理
             DispMentenanceData();
 
+            // 申請・承認表示処理
+            InitApprovalDisplay();
+
             // 参照時ロック
             if (m_EditLock)
             {
@@ -243,6 +295,25 @@
                 ExecReadOnly();
             }
 
+            // 承認画面の「承認対象データを見る」からの起動時は承認ボタンの表示がある
+            bool bApproval = ClsApprovalPermission.ExceApprovalScreen((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
+            if (bApproval)
+            {
+                // 承認対象コードを取得する
+                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals(s_MyProcessName)).Key;
+                // 工事案件の管理部署を取得する
+                int DepartmentCode = ClsApprovalPermission.GetFromPersonAndApprovalTheDepartment(m_PersonCode, ApprovalCode, m_OrderDate, m_OrderNo);
+                // 案件に対して申請がされているかを確認する
+                bool Pettition = ClsApprovalPermission.CheckPersonPetition(m_PersonCode, ApprovalCode, m_OrderDate, m_OrderNo);
+                // ログイン者が承認者かを確認する
+                bool Approvaler = ClsApprovalPermission.CheckUserForApprover(ApprovalCode, DepartmentCode);
+                // 申請中でログイン者が承認者の場合は承認ボタンを表示する
+                if (Pettition && Approvaler)
+                {
+                    pnlApprovalButton.Visible = true;
+                }
+            }
+
             m_bChengeAns = false;
         }
         #endregion
@@ -473,46 +544,8 @@
         /// <param name="e"></param>
         private void btnPetition_Click(object sender, EventArgs e)
         {
-            IOCostomerRegist CrDB = new IOCostomerRegist();
-            IOPersonApproval PersonAppDB = new IOPersonApproval();
-            try
-            {
-                int SelPersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode]);
-                // 発注者登録申請データが無い場合は登録する
-                string strSQL = CrDB.CreatePrimarykeyString(m_PetitionNo, m_PetitionSeqNo);
-
-                CostomerRegist DataRec = new CostomerRegist();
-                if (!CrDB.SelectAction(strSQL, ref DataRec)) m_bChengeAns = true;
-
-                // データ変更有時はデータ登録
-                if (m_bChengeAns) if (!CostomerRegistDataEntry()) return;
-
-                // 起動番号
-                int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
-                // 担当者コード
-                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(SelPersonCode);
-                // 承認機能番号
-                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("発注者登録承認")).Key;
-                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
-                // 受付日
-                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(DateTime.Now.ToShortDateString());
-                // 受付番号
-                string strApp = PersonAppDB.CreatePrimarykeyString(SelPersonCode, (int)ClsExcute.ApprovalListNo.CostomerRegistApproval, DateTime.Now.Date);
-                int wrkOrderNo = PersonAppDB.SelectMaxOrderNoCount(strApp) + 1;
-                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(wrkOrderNo);
-
-                // 自フォーム終了
-                this.Close();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                CrDB.close(); CrDB = null;
-                PersonAppDB.close(); PersonAppDB = null;
-            }
+            // 申請ボタン押下処理
+            PetitionProcess();
         }
         #endregion
 
@@ -524,39 +557,8 @@
         /// <param name="e"></param>
         private void btnApproval_Click(object sender, EventArgs e)
         {
-            try
-            {
-                // データ変更有時はデータ登録
-                if (m_bChengeAns)
-                {
-                    if (!CostomerRegistDataEntry()) return;
-                }
-
-                // 起動番号
-                int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
-
-                // 担当者コード
-                int SelPersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode]);
-                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(SelPersonCode);
-
-                // 承認機能番号
-                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("発注者登録承認")).Key;
-                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
-
-                // 受付日
-                string strartDate = m_dispControl[(int)DispCtrl.PetitionDate].Text;
-                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(strartDate);
-
-                // 受付番号
-                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text));
-
-                // 自フォーム終了
-                this.Close();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
+            // 承認ボタン押下処理
+            ApprovalProcess();
         }
         #endregion
 
@@ -568,45 +570,8 @@
         /// <param name="e"></param>
         private void btnOnApproval_Click(object sender, EventArgs e)
         {
-            FrmApprovalPerson frm = new FrmApprovalPerson();
-            try
-            {
-                if (MessageBox.Show("出勤管理を承認します、よろしいですか？。", "承認確認"
-                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
-
-                // 担当者コード
-                int SelPersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode]);
-                frm.PersonCode = SelPersonCode;
-                // 承認機能番号セット
-                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("発注者登録承認")).Key;
-                // 受付日
-                string strartDate = m_dispControl[(int)DispCtrl.PetitionDate].Text;
-                frm.OrderDate = CommonMotions.cnvDate(strartDate);
-                // 受付番号
-                frm.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
-
-
-                // 申請・承認レコード更新
-                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Approval, false))
-                {
-                    MessageBox.Show("承認に失敗しました。", "承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    return;
-                }
-
-                // メニューへ戻る
-                ClsExcute.ClearProcess();
-
-                // 画面クローズ
-                this.Close();
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                frm.Dispose(); frm = null;
-            }
+            // 承認パネル（pnlApproval）承認ボタン 
+            OnApprovalProcess();
         }
         #endregion
 
@@ -618,44 +583,8 @@
         /// <param name="e"></param>
         private void btnOnHold_Click(object sender, EventArgs e)
         {
-            FrmApprovalPerson frm = new FrmApprovalPerson();
-            try
-            {
-                if (MessageBox.Show("出勤管理を保留とします、よろしいですか？。", "保留確認"
-                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
-
-                // 担当者コード
-                int SelPersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode]);
-                frm.PersonCode = SelPersonCode;
-                // 承認機能番号セット
-                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("発注者登録承認")).Key;
-                // 受付日
-                string strartDate = m_dispControl[(int)DispCtrl.PetitionDate].Text;
-                frm.OrderDate = CommonMotions.cnvDate(strartDate);
-                // 受付番号
-                frm.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
-
-                // 申請・承認レコード更新
-                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Pending, false))
-                {
-                    MessageBox.Show("保留に失敗しました。", "保留エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    return;
-                }
-
-                // メニューへ戻る
-                ClsExcute.ClearProcess();
-
-                // 画面クローズ
-                this.Close();
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                frm.Dispose(); frm = null;
-            }
+            // 承認パネル（pnlApproval）保留ボタン押下処理
+            OnHoldProcess();
         }
         #endregion
 
@@ -667,44 +596,8 @@
         /// <param name="e"></param>
         private void btnNotApproval_Click(object sender, EventArgs e)
         {
-            FrmApprovalPerson frm = new FrmApprovalPerson();
-            try
-            {
-                if (MessageBox.Show("出勤管理を不承認します、よろしいですか？。", "不承認確認"
-                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
-
-                // 担当者コード
-                int SelPersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode]);
-                frm.PersonCode = SelPersonCode;
-                // 承認機能番号セット
-                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("発注者登録承認")).Key;
-                // 受付日
-                string strartDate = m_dispControl[(int)DispCtrl.PetitionDate].Text;
-                frm.OrderDate = CommonMotions.cnvDate(strartDate);
-                // 受付番号
-                frm.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
-
-                // 申請・承認レコード更新
-                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.NotApproval, false))
-                {
-                    MessageBox.Show("不承認に失敗しました。", "不承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    return;
-                }
-
-                // メニューへ戻る
-                ClsExcute.ClearProcess();
-
-                // 画面クローズ
-                this.Close();
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                frm.Dispose(); frm = null;
-            }
+            // 承認パネル（pnlApproval）不承認ボタン押下処理
+            NotApprovalProcess();
         }
         #endregion
     }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegist.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegist.designer.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegist.designer.cs	(revision 57)
@@ -57,6 +57,7 @@
             this.txtInput02 = new System.Windows.Forms.TextBox();
             this.cmbDivision = new System.Windows.Forms.ComboBox();
             this.panel1 = new System.Windows.Forms.Panel();
+            this.label27 = new System.Windows.Forms.Label();
             this.label21 = new System.Windows.Forms.Label();
             this.label20 = new System.Windows.Forms.Label();
             this.label19 = new System.Windows.Forms.Label();
@@ -434,6 +435,7 @@
             // panel1
             // 
             this.panel1.BackColor = System.Drawing.Color.Orange;
+            this.panel1.Controls.Add(this.label27);
             this.panel1.Controls.Add(this.label21);
             this.panel1.Controls.Add(this.label20);
             this.panel1.Controls.Add(this.label19);
@@ -452,6 +454,18 @@
             this.panel1.Size = new System.Drawing.Size(870, 80);
             this.panel1.TabIndex = 13;
             // 
+            // label27
+            // 
+            this.label27.BackColor = System.Drawing.Color.White;
+            this.label27.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label27.ForeColor = System.Drawing.Color.Black;
+            this.label27.Location = new System.Drawing.Point(264, 45);
+            this.label27.Name = "label27";
+            this.label27.Size = new System.Drawing.Size(130, 25);
+            this.label27.TabIndex = 125;
+            this.label27.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.label27.Visible = false;
+            // 
             // label21
             // 
             this.label21.BackColor = System.Drawing.Color.White;
@@ -524,6 +538,7 @@
             this.btnPetition.TabIndex = 12;
             this.btnPetition.Text = "未申請";
             this.btnPetition.UseVisualStyleBackColor = false;
+            this.btnPetition.Click += new System.EventHandler(this.btnPetition_Click);
             // 
             // btnApproval
             // 
@@ -537,6 +552,7 @@
             this.btnApproval.TabIndex = 12;
             this.btnApproval.Text = "未承認";
             this.btnApproval.UseVisualStyleBackColor = false;
+            this.btnApproval.Click += new System.EventHandler(this.btnApproval_Click);
             // 
             // pnlApprovalButton
             // 
@@ -562,6 +578,7 @@
             this.btnOnApproval.TabStop = false;
             this.btnOnApproval.Text = "承認";
             this.btnOnApproval.UseVisualStyleBackColor = false;
+            this.btnOnApproval.Click += new System.EventHandler(this.btnOnApproval_Click);
             // 
             // btnNotApproval
             // 
@@ -573,6 +590,7 @@
             this.btnNotApproval.TabStop = false;
             this.btnNotApproval.Text = "不承認";
             this.btnNotApproval.UseVisualStyleBackColor = false;
+            this.btnNotApproval.Click += new System.EventHandler(this.btnNotApproval_Click);
             // 
             // btnOnHold
             // 
@@ -584,6 +602,7 @@
             this.btnOnHold.TabStop = false;
             this.btnOnHold.Text = "保留";
             this.btnOnHold.UseVisualStyleBackColor = false;
+            this.btnOnHold.Click += new System.EventHandler(this.btnOnHold_Click);
             // 
             // label15
             // 
@@ -593,7 +612,7 @@
             this.label15.Name = "label15";
             this.label15.Size = new System.Drawing.Size(114, 25);
             this.label15.TabIndex = 37;
-            this.label15.Text = "申請日";
+            this.label15.Text = "作成日";
             this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // label18
@@ -1083,5 +1102,6 @@
         private System.Windows.Forms.Label label25;
         private System.Windows.Forms.TextBox txtInput15;
         private System.Windows.Forms.Label label26;
+        private System.Windows.Forms.Label label27;
     }
 }
\ No newline at end of file
